%Javier Hernandez Rivera, MIT

clear all;
close all;

%Initialize dataset
y = 1; n = 0;
data = [n n 4 n; y n 3.6 y; n y 3.4 y; y n 3 n; y y 3.1 y; n y 2.9 y];
binary = [y y n];
%Initialize names of the features
i = 1;
features{i} = 'Hardworking'; i = i + 1;
features{i} = 'Cool'; i = i + 1;
features{i} = 'GPA'; i = i + 1;

%Creates the file to save all the information
fid=fopen('decision_tree.dot','w');
fprintf(fid,'digraph ML {\n');
fprintf(fid,'\trankdir=TB;\n');
fprintf(fid,'\tedge [style=dashed];\n');
fprintf(fid,'\tnode [color=lightblue2, style=filled];\n');

%Creates the Decision Tree with ID3
buildTree(data(:,1:end-1), data(:,end),fid, features, binary, 1);

fprintf('Tree generated and saved in decision_tree.dot\n');

fprintf(fid,'}\n');
fclose(fid);

%Generates a diagram with the Decision Tree
%If the following line does not work, you may have a problem with the
%installation of Graphviz
    %- Check that you have "dot" in your windows path
    %- You may want to replace the following line by adding the full path
    %of "dot" (e.g. eval(['!C:\Program Files\Graphiz\bin\dot -Tpng ...)
fprintf('Creating the diagram... ');
eval(['!dot -Tpng decision_tree.dot -o decision_tree.png']);
fprintf('Diagram created\n');
