function total = computeEntropies(labels, features, pos)
%Computes the conditional entropies given a binary feature and an objective
%class

%Initialize variables
values = unique(features);
cat = unique(labels);
idx = cell(1,length(values));
p = zeros(1,length(values));
s1 = length(labels);

%Compute Probabilities (P(feature  = x))
for k = 1:length(values)
    idx{k} = find(features == values(k));
    p(k) = length(idx{k})/s1;
end

%Sanity check
if abs(sum(p) - 1) > 0.0001
    keyboard
end

%Show Calculations
total = 0;
fprintf('H(P | F%s) = ',pos);
for i = 1:length(values)
    fprintf('P(F%s  = %g) * H(P | F%s = %g) + ',pos,values(i),pos,values(i));
end
fprintf('\b\b = ');


%Compute Conditional Entropy
for i = 1:length(values)
    x = length(find(labels==cat(1) & features==values(i))) / length(find(features==values(i)));
    total = total + p(i) * entropy(x);
    fprintf('%g * e(%g) + ',p(i), x);
end
fprintf('\b\b= %g\n',total);
