function thresholds = obtainTresholds(values, labels)
%Find thresholds for continuous variable

%Sort labels by values
[values ord] = sort(values);
labels = labels(ord);

%Find transitions
idx0 = round(normxcorr2([0 1],labels));
idx1 = round(normxcorr2([1 0],labels));
idx = union(find(idx0==-1), find(idx1==-1));

%Finding the position of the highest value in each transition
res = zeros(1,length(labels));
res(idx) = 1;
res(1) = 0; %remove minimum value
res = res(1:length(labels));%remove non-useful cases due to normalize correlation

%Compute mean between the values of each transition
thresholds = unique(mean([values(find(res == 1));values(find(res == 1)-1)]));



